Bug 249932 - installation does not allow encrypted WPA wireless connection
installation does not allow encrypted WPA wireless connection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-28 03:04 EDT by NILMONI DEB
Modified: 2008-06-16 21:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:59:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description NILMONI DEB 2007-07-28 03:04:08 EDT
Description of problem:
This is mainly a problem of the fedora OS installer. During network 
configuration it never gives an option to configure an encrypted connection. 
The installer decides, all by itself, to set up an unencrypted wireless 
connection. The situation becomes really bad when the installation is complete 
and the system is rebooted. Since my AP won't allow an unencrypted connection, 
the boot process hangs for about 30-40 seconds trying (in vain) to acquire an 
IP for the wireless connection. In the end, it manages to find a random 
unsecured AP in the neighborhood and acquires an IP from it! This is a very 
undesirable situation (stealing somebody else's bandwidth is not legal 
either).

Version-Release number of selected component (if applicable):
wireless-tools-28-4.fc7

How reproducible:
always


Expected results:
The fedora installer should allow the user to configure wireless for encrypted 
WPA/WPA2 etc. Alternatively, it should avoid connecting to any random insecure 
wireless AP in the neighborhood. There should be some option that would allow 
the user to restrict where the wireless device can connect to.
Comment 1 Bug Zapper 2008-05-14 09:42:52 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:59:29 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.